For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Detail
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert from BigCommerce CustomerGroup into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company's Catalog
              • PUTUpdate Company's Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
              • GETList Company Subsidiaries
              • DELDelete Company Subsidiary
              • POSTAttach Company as Parent to Current Company
              • GETList Company Hierarchy
Dev Portal
LogoLogo
Closed Beta ProgramsB2B Edition UpdatesAPI ReferenceCompany

Attach Company as Parent to Current Company

Beta
POST
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId/parent
POST
/api/v3/io/companies/:companyId/parent
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/companies/1/parent \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "parentCompanyId": 42
>}'
1{
2 "meta": {
3 "message": "SUCCESS"
4 },
5 "data": []
6}
Attach a company as parent to current company.
Was this page helpful?
Previous

Delete Company Subsidiary

Next

List Company Hierarchy

Built with

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Path parameters

companyIdintegerRequired
ID of company.

Request

This endpoint expects an object.
parentCompanyIdintegerRequired
Parent company ID.

Response

OK
metaobject

Errors

400
Bad Request Error